%global libmajor 1

Summary:       Convolution engine library
Name:          zita-convolver
Version:       1.0.0
Release:       3%{?dist}
License:       GPLv2+
Group:         System Environment/Libraries
URL:           http://www.kokkinizita.net/linuxaudio/
Source0:       http://www.kokkinizita.net/linuxaudio/downloads/%{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: fftw-devel

%description
%{name} is a fast, partitioned convolution engine library.

%package  devel
Summary:       Fast, partitioned convolution engine library
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
%{name} is a fast, partitioned convolution engine library. This package
contains libraries and header files for developing applications that use
%{name}.

%prep
%setup -q

# No need to call ldconfig during packaging
sed -i '\|/sbin/ldconfig|d' libs/Makefile

# Preserve timestamps
sed -i 's|/install|/install -p|' libs/Makefile

# Force Fedora's optflags
sed -i 's|-O3|%{optflags}|' libs/Makefile

%build
make -C libs PREFIX=%{_prefix} %{?_smp_mflags}

%install
rm -rf %{buildroot}
make -C libs PREFIX=%{buildroot}%{_prefix} LIBDIR=%{_lib} install
# create .so.x link
ln -s lib%{name}.so.%{version} %{buildroot}%{_libdir}/lib%{name}.so.%{libmajor}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 05 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 1.0.0-2
- prepare package for Fedora submission (SPEC file from PlanetCCRMA)

* Sat Mar 21 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1
- updated to 1.0.0

* Wed Oct 29 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.0-1
- initial release
